SanitizerApi: Data Fields - Variables

### - a -

- address : Sanitizer_ResourceMemoryData , Sanitizer_UvmData , Sanitizer_BatchMemopData , Sanitizer_MemsetData

### - b -

- blockDim_x : Sanitizer_LaunchData
- blockDim_y : Sanitizer_LaunchData
- blockDim_z : Sanitizer_LaunchData

### - c -

- callbackSite : Sanitizer_CallbackData
- context : Sanitizer_CallbackData , Sanitizer_UvmData , Sanitizer_BatchMemopData , Sanitizer_MemsetData , Sanitizer_LaunchData , Sanitizer_ResourceStreamData , Sanitizer_ResourceArrayData , Sanitizer_ResourceMemoryData , Sanitizer_ResourceModuleData , Sanitizer_SynchronizeData , Sanitizer_ResourceContextData
- cubinSize : Sanitizer_ResourceModuleData

### - d -

- device : Sanitizer_ResourceContextData , Sanitizer_ResourceMemoryData , Sanitizer_LaunchData , Sanitizer_ResourceMempoolData
- direction : Sanitizer_MemcpyData
- dstAddress : Sanitizer_MemcpyData
- dstContext : Sanitizer_MemcpyData
- dstPitch : Sanitizer_MemcpyData
- dstStream : Sanitizer_MemcpyData

### - f -

- flags : Sanitizer_ResourceMemoryData
- function : Sanitizer_LaunchData
- functionName : Sanitizer_LaunchData , Sanitizer_CallbackData
- functionParams : Sanitizer_CallbackData
- functionReturnValue : Sanitizer_CallbackData

### - g -

- graph : Sanitizer_GraphExecData
- graphExec : Sanitizer_GraphExecData , Sanitizer_GraphNodeLaunchData
- gridDim_x : Sanitizer_LaunchData
- gridDim_y : Sanitizer_LaunchData
- gridDim_z : Sanitizer_LaunchData
- gridId : Sanitizer_LaunchData

### - h -

- hArray : Sanitizer_ResourceArrayData
- hDstStream : Sanitizer_MemcpyData
- hLaunch : Sanitizer_LaunchData
- hSrcStream : Sanitizer_MemcpyData
- hStream : Sanitizer_LaunchData , Sanitizer_SynchronizeData , Sanitizer_ResourceMemoryData , Sanitizer_ResourceStreamData , Sanitizer_UvmData , Sanitizer_BatchMemopData , Sanitizer_MemsetData

### - i -

- isAsync : Sanitizer_MemcpyData , Sanitizer_MemsetData

### - l -

- launchData : Sanitizer_GraphNodeLaunchData
- launchId : Sanitizer_GraphNodeLaunchData

### - m -

- memAllocData : Sanitizer_GraphNodeLaunchData
- memFreeAddress : Sanitizer_GraphNodeLaunchData
- memoryPool : Sanitizer_ResourceMempoolData , Sanitizer_ResourceMemoryData
- module : Sanitizer_LaunchData , Sanitizer_ResourceModuleData

### - n -

- node : Sanitizer_GraphNodeLaunchData
- nodeType : Sanitizer_GraphNodeLaunchData

### - p -

- pCubin : Sanitizer_ResourceModuleData
- peerDevice : Sanitizer_ResourceMempoolData
- permissions : Sanitizer_ResourceMemoryData

### - s -

- size : Sanitizer_ResourceMemoryData , Sanitizer_MemcpyData
- sourceDevice : Sanitizer_ResourceMemoryData
- srcAddress : Sanitizer_MemcpyData
- srcContext : Sanitizer_MemcpyData
- srcPitch : Sanitizer_MemcpyData
- srcStream : Sanitizer_MemcpyData
- stream : Sanitizer_ResourceMemoryData , Sanitizer_MemsetData , Sanitizer_LaunchData , Sanitizer_UvmData , Sanitizer_BatchMemopData , Sanitizer_ResourceStreamData , Sanitizer_SynchronizeData
- symbolName : Sanitizer_CallbackData

### - t -

- type : Sanitizer_BatchMemopData

### - v -

- value : Sanitizer_MemsetData , Sanitizer_BatchMemopData
- visibility : Sanitizer_ResourceMemoryData , Sanitizer_UvmData

### - w -

- width : Sanitizer_ResourceArrayData , Sanitizer_MemsetData , Sanitizer_MemcpyData